Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterIndexReader.FilterTermPositions

    java.lang.Object
      org.apache.lucene.index.FilterIndexReader.FilterTermDocs
          org.apache.lucene.index.FilterIndexReader.FilterTermPositions

All Implemented Interfaces:
  TermDocs, TermPositions

Enclosing class:
  FilterIndexReader

public static class FilterIndexReader.FilterTermPositions
extends FilterIndexReader.FilterTermDocs
implements TermPositions

Base class for filtering `TermPositions` implementations.

Field Summary

Fields inherited from class org.apache.lucene.index.FilterIndexReader.FilterTermDocs
`in`

Constructor Summary
`FilterIndexReader.FilterTermPositions(TermPositions in)`

Method Summary
`int` | `nextPosition()` Returns next position in the current document.

Methods inherited from class org.apache.lucene.index.FilterIndexReader.FilterTermDocs
`close, doc, freq, next, read, seek, seek, skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.index.TermDocs
`close, doc, freq, next, read, seek, seek, skipTo`

Constructor Detail

### FilterIndexReader.FilterTermPositions

    public FilterIndexReader.FilterTermPositions(TermPositions in)

Method Detail

### nextPosition

    public int nextPosition()
                     throws IOException

  Description copied from interface: `TermPositions`
  Returns next position in the current document. It is an error to call this more than `TermDocs.freq()` times without calling `TermDocs.next()`

  This is invalid until `TermDocs.next()` is called for the first time.

  Specified by:
    `nextPosition` in interface `TermPositions`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.